/*
 * Copyright (C) 2007 Moritz Orbach <web@apfelboymchen.homeunix.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * disclaimer:
 * I guess this isn't the best code. I just wrote the functions without 
 * thinking much about them after it started to work. So there may be the the 
 * one or other segfault lurking.
 *
 */
#define WIDTH  1152 
#define HEIGHT  864

#define STRLEN 512
#define WANTED_FRAMERATE 30

#define FONTPATH "VeraMono.ttf"
#define CFGFILE "schwabbel.conf"

/* not really needed as a #define, but why not */
#define MAXLINELENGTH 40

typedef struct {
	unsigned int flag_width;
	unsigned int flag_height;

	int border_top;
	int border_left;

	unsigned int spacing;

	double x_frequency;
	double y_frequency;
	unsigned int x_amplitude;
	unsigned int y_amplitude;

	double x_speed;
	double y_speed;

	double flag_frequency;

	int slope;
	unsigned int color;

} t_config;

int load_config();
int loadslot(t_config **config, int slot);
void init();
int save(int slot);
t_config *get_config();

